VME Intensity Monitor - Feature #11991
Milestone # 11650 (Closed): Mar 2016 Release A - 201603A

Average pulse integrated intensity
03/18/2016 12:38 PM - John Diamond

Status: Closed Start date: 03/18/2016
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: DAQ Estimated time: 8.00 hours
Target version: Spent time: 4.00 hours
Description

Average the integrated intensity over N number of pulses.

History

#1 - 03/19/2016 08:21 PM - John Diamond
- % Done changed from 0 to 70

Implemented support for averaging pulses (currently hard-coded N to 10 pulses).
Created a device on pxint for testing: P:MO1EPA (averages P:MO1EPC).

#2 - 03/19/2016 10:12 PM - John Diamond
- Status changed from New to Closed

- % Done changed from 70 to 100

Implemented a setting property that allows the user to control the number of pulses to be averaged.

Added a setting block to P:MO1EPA and tested.
